%define name fb2png
%define version 0.1
%define release 4mdk

Summary: Take screenshots from the framebuffer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: fb2png-0.1-index.html
License: GPL
Url: http://www.minlinux.org/projects/fb2png/
Group: System/Kernel and hardware
BuildRequires:	gcc
BuildRequires:	libpng-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Patch: fb2png-0.1-libpng-needs-libm.patch.bz2

%description
Utility to make screenshots from framebuffer

%prep
%setup
%patch0 -p1
cp %{SOURCE1} index.html

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc index.html
%{_bindir}/*

%changelog
* Fri Jun  4 2004 Pixel <pixel@mandrakesoft.com> 0.1-4mdk
- rebuild

* Mon Apr 21 2003 Pixel <pixel@mandrakesoft.com> 0.1-3mdk
- fix build

* Tue Jan  8 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1-2mdk
- add BuildRequires

* Wed Dec 12 2001 Pixel <pixel@mandrakesoft.com> 0.1-1mdk
- initial spec

# end of file
